<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: DayZPlayerImplementThrowing Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d76/class_day_z_player_implement_throwing.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">DayZPlayerImplementThrowing Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a16c4c85b76f807f2be81b62daaf5c0a6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#a16c4c85b76f807f2be81b62daaf5c0a6">DayZPlayerImplementThrowing</a> (DayZPlayer pPlayer)</td></tr>
<tr class="separator:a16c4c85b76f807f2be81b62daaf5c0a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a37b08efbd83a49cfab6470a8c4ff4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#a79a37b08efbd83a49cfab6470a8c4ff4">HandleThrowing</a> (<a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pHic, <a class="el" href="../../da/dd0/class_human_command_weapons.html">HumanCommandWeapons</a> pHcw, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> pEntityInHands, <a class="el" href="../../d4/dc3/classfloat.html">float</a> pDt)</td></tr>
<tr class="separator:a79a37b08efbd83a49cfab6470a8c4ff4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04ab3a43ca05f635c72b75843558c121"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#a04ab3a43ca05f635c72b75843558c121">ResetState</a> ()</td></tr>
<tr class="separator:a04ab3a43ca05f635c72b75843558c121"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d837ba6f4debeb4b5f66559a1f93638"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#a3d837ba6f4debeb4b5f66559a1f93638">SetThrowingModeEnabled</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:a3d837ba6f4debeb4b5f66559a1f93638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2ca05e39e27d81bbd8a8f36a8a1fe4f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#aa2ca05e39e27d81bbd8a8f36a8a1fe4f">IsThrowingModeEnabled</a> ()</td></tr>
<tr class="separator:aa2ca05e39e27d81bbd8a8f36a8a1fe4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab68084f71ee1ae2802f0d542bdbb9b6f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#ab68084f71ee1ae2802f0d542bdbb9b6f">IsThrowingInProgress</a> ()</td></tr>
<tr class="memdesc:ab68084f71ee1ae2802f0d542bdbb9b6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throwing wind-up only (button hold)  <a href="../../db/d76/class_day_z_player_implement_throwing.html#ab68084f71ee1ae2802f0d542bdbb9b6f">More...</a><br /></td></tr>
<tr class="separator:ab68084f71ee1ae2802f0d542bdbb9b6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba99d8888473f902e8712903c5fa3b9c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#aba99d8888473f902e8712903c5fa3b9c">IsThrowingAnimationPlaying</a> ()</td></tr>
<tr class="memdesc:aba99d8888473f902e8712903c5fa3b9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throwing animation after button release.  <a href="../../db/d76/class_day_z_player_implement_throwing.html#aba99d8888473f902e8712903c5fa3b9c">More...</a><br /></td></tr>
<tr class="separator:aba99d8888473f902e8712903c5fa3b9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6865353e4259be2c0a02263439df37ac"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#a6865353e4259be2c0a02263439df37ac">CanChangeThrowingStance</a> (<a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pHic)</td></tr>
<tr class="separator:a6865353e4259be2c0a02263439df37ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32714b7dc1eae20d48bce294ccf3d52b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#a32714b7dc1eae20d48bce294ccf3d52b">CanContinueThrowing</a> (<a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pHic)</td></tr>
<tr class="separator:a32714b7dc1eae20d48bce294ccf3d52b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37c99fa7f511908292edd256b90c9dbc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#a37c99fa7f511908292edd256b90c9dbc">CanContinueThrowingEx</a> (<a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pHic, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> pEntityInHands)</td></tr>
<tr class="separator:a37c99fa7f511908292edd256b90c9dbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a298e8c3afc95b23d9ef07980b87ffd7f"><td class="memItemLeft" align="right" valign="top">private DayZPlayer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#a298e8c3afc95b23d9ef07980b87ffd7f">m_Player</a></td></tr>
<tr class="separator:a298e8c3afc95b23d9ef07980b87ffd7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22522d5a3051b522bc1a6aa70851f594"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#a22522d5a3051b522bc1a6aa70851f594">m_bThrowingModeEnabled</a></td></tr>
<tr class="separator:a22522d5a3051b522bc1a6aa70851f594"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77c5b31da73395f17783b0d59231769b"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#a77c5b31da73395f17783b0d59231769b">m_bThrowingInProgress</a></td></tr>
<tr class="separator:a77c5b31da73395f17783b0d59231769b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60637e0624c1585231119a0a7c975e09"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#a60637e0624c1585231119a0a7c975e09">m_bThrowingAnimationPlaying</a></td></tr>
<tr class="separator:a60637e0624c1585231119a0a7c975e09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ca5d90e6c76aa011bfd9622403748c0"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#a4ca5d90e6c76aa011bfd9622403748c0">m_fThrowingForce01</a></td></tr>
<tr class="separator:a4ca5d90e6c76aa011bfd9622403748c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a549e64e5f8d2640a42aba7e68069ba7b"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#a549e64e5f8d2640a42aba7e68069ba7b">c_fThrowingForceMin</a> = 20.0</td></tr>
<tr class="separator:a549e64e5f8d2640a42aba7e68069ba7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac082e7717cad6a3040507845e022f0db"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#ac082e7717cad6a3040507845e022f0db">c_fThrowingForceMax</a> = 90.0</td></tr>
<tr class="separator:ac082e7717cad6a3040507845e022f0db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6b1918a8a27a932879ae186c27416e6"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html#ad6b1918a8a27a932879ae186c27416e6">c_fThrowingForceCoef</a> = 1.0</td></tr>
<tr class="separator:ad6b1918a8a27a932879ae186c27416e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a16c4c85b76f807f2be81b62daaf5c0a6" name="a16c4c85b76f807f2be81b62daaf5c0a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16c4c85b76f807f2be81b62daaf5c0a6">&#9670;&#160;</a></span>DayZPlayerImplementThrowing()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementThrowing::DayZPlayerImplementThrowing </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00003">3</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a6865353e4259be2c0a02263439df37ac" name="a6865353e4259be2c0a02263439df37ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6865353e4259be2c0a02263439df37ac">&#9670;&#160;</a></span>CanChangeThrowingStance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementThrowing::CanChangeThrowingStance </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pHic</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00150">150</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="a32714b7dc1eae20d48bce294ccf3d52b" name="a32714b7dc1eae20d48bce294ccf3d52b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32714b7dc1eae20d48bce294ccf3d52b">&#9670;&#160;</a></span>CanContinueThrowing()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementThrowing::CanContinueThrowing </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pHic</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00188">188</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="a37c99fa7f511908292edd256b90c9dbc" name="a37c99fa7f511908292edd256b90c9dbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37c99fa7f511908292edd256b90c9dbc">&#9670;&#160;</a></span>CanContinueThrowingEx()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementThrowing::CanContinueThrowingEx </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pHic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>pEntityInHands</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00204">204</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="a79a37b08efbd83a49cfab6470a8c4ff4" name="a79a37b08efbd83a49cfab6470a8c4ff4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79a37b08efbd83a49cfab6470a8c4ff4">&#9670;&#160;</a></span>HandleThrowing()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementThrowing::HandleThrowing </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pHic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/dd0/class_human_command_weapons.html">HumanCommandWeapons</a>&#160;</td>
          <td class="paramname"><em>pHcw</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>pEntityInHands</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pDt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >current state</p>
<p >handle mode change</p>
<p >handle action</p>
<p >cancel throwing in case of raising hands or heavy item in hands</p>
<p >check event for throw</p>
<p >handle throw force</p>

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00011">11</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="aba99d8888473f902e8712903c5fa3b9c" name="aba99d8888473f902e8712903c5fa3b9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba99d8888473f902e8712903c5fa3b9c">&#9670;&#160;</a></span>IsThrowingAnimationPlaying()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementThrowing::IsThrowingAnimationPlaying </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Throwing animation after button release. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00145">145</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="ab68084f71ee1ae2802f0d542bdbb9b6f" name="ab68084f71ee1ae2802f0d542bdbb9b6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab68084f71ee1ae2802f0d542bdbb9b6f">&#9670;&#160;</a></span>IsThrowingInProgress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementThrowing::IsThrowingInProgress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Throwing wind-up only (button hold) </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00139">139</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="aa2ca05e39e27d81bbd8a8f36a8a1fe4f" name="aa2ca05e39e27d81bbd8a8f36a8a1fe4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2ca05e39e27d81bbd8a8f36a8a1fe4f">&#9670;&#160;</a></span>IsThrowingModeEnabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementThrowing::IsThrowingModeEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00133">133</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="a04ab3a43ca05f635c72b75843558c121" name="a04ab3a43ca05f635c72b75843558c121"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04ab3a43ca05f635c72b75843558c121">&#9670;&#160;</a></span>ResetState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementThrowing::ResetState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00117">117</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="a3d837ba6f4debeb4b5f66559a1f93638" name="a3d837ba6f4debeb4b5f66559a1f93638"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d837ba6f4debeb4b5f66559a1f93638">&#9670;&#160;</a></span>SetThrowingModeEnabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementThrowing::SetThrowingModeEnabled </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00124">124</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ad6b1918a8a27a932879ae186c27416e6" name="ad6b1918a8a27a932879ae186c27416e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6b1918a8a27a932879ae186c27416e6">&#9670;&#160;</a></span>c_fThrowingForceCoef</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementThrowing::c_fThrowingForceCoef = 1.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00220">220</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="ac082e7717cad6a3040507845e022f0db" name="ac082e7717cad6a3040507845e022f0db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac082e7717cad6a3040507845e022f0db">&#9670;&#160;</a></span>c_fThrowingForceMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementThrowing::c_fThrowingForceMax = 90.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00219">219</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="a549e64e5f8d2640a42aba7e68069ba7b" name="a549e64e5f8d2640a42aba7e68069ba7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a549e64e5f8d2640a42aba7e68069ba7b">&#9670;&#160;</a></span>c_fThrowingForceMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementThrowing::c_fThrowingForceMin = 20.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00218">218</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="a60637e0624c1585231119a0a7c975e09" name="a60637e0624c1585231119a0a7c975e09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60637e0624c1585231119a0a7c975e09">&#9670;&#160;</a></span>m_bThrowingAnimationPlaying</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementThrowing::m_bThrowingAnimationPlaying</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00215">215</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="a77c5b31da73395f17783b0d59231769b" name="a77c5b31da73395f17783b0d59231769b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77c5b31da73395f17783b0d59231769b">&#9670;&#160;</a></span>m_bThrowingInProgress</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementThrowing::m_bThrowingInProgress</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00214">214</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="a22522d5a3051b522bc1a6aa70851f594" name="a22522d5a3051b522bc1a6aa70851f594"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22522d5a3051b522bc1a6aa70851f594">&#9670;&#160;</a></span>m_bThrowingModeEnabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementThrowing::m_bThrowingModeEnabled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00213">213</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="a4ca5d90e6c76aa011bfd9622403748c0" name="a4ca5d90e6c76aa011bfd9622403748c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ca5d90e6c76aa011bfd9622403748c0">&#9670;&#160;</a></span>m_fThrowingForce01</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementThrowing::m_fThrowingForce01</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00216">216</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<a id="a298e8c3afc95b23d9ef07980b87ffd7f" name="a298e8c3afc95b23d9ef07980b87ffd7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a298e8c3afc95b23d9ef07980b87ffd7f">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private DayZPlayer DayZPlayerImplementThrowing::m_Player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html#l00212">212</a> of file <a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/<a class="el" href="../../d1/d22/_day_z_player_implement_throwing_8c_source.html">DayZPlayerImplementThrowing.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/d76/class_day_z_player_implement_throwing.html">DayZPlayerImplementThrowing</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
